Bug 48697 - New port: sysutils/sec Simple event correlator
Summary: New port: sysutils/sec Simple event correlator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-26 09:30 UTC by Nicolas Jombart
Modified: 2003-07-26 10:01 UTC (History)
1 user (show)

See Also:


Attachments
sec.shar (2.03 KB, text/plain)
2003-02-26 09:30 UTC, Nicolas Jombart
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Jombart 2003-02-26 09:30:09 UTC
	New port: sysutils/sec

	Note that the sec.pl script becomes just "sec".
Comment 1 Nicolas Jombart 2003-07-02 15:13:36 UTC
Update :

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	sec
#	sec/Makefile
#	sec/pkg-descr
#	sec/pkg-plist
#	sec/distinfo
#
echo c - sec
mkdir -p sec > /dev/null 2>&1
echo x - sec/Makefile
sed 's/^X//' >sec/Makefile << 'END-of-sec/Makefile'
X# New ports collection Makefile for: 	sec
X# Date created:				25, February 2003
X# Whom:					Nicolas Jombart <ecu@ipv42.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	sec
XPORTVERSION=	2.1.8
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	sourceforge/simple-evcorr
X
XMAINTAINER=	ecu@ipv42.net
XCOMMENT=	Simple event (logs) correlator
X
XUSE_PERL5=	YES
XNO_BUILD=	YES
X
XMAN8=		sec.8
X
Xdo-install:
X	@${INSTALL_SCRIPT} ${WRKSRC}/sec.pl ${PREFIX}/bin
X	@${INSTALL_MAN} ${WRKSRC}/sec.pl.man ${PREFIX}/man/man8/sec.8
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for f in README convert.pl itostream.c
X	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-sec/Makefile
echo x - sec/pkg-descr
sed 's/^X//' >sec/pkg-descr << 'END-of-sec/pkg-descr'
XSEC is an event correlation tool that was designed to fill the gap between
Xcommercial event correlation systems and homegrown solutions that usually
Xcomprise of a few simple shell scripts.
XSEC is highly customisable to accept events from many sources and build
Xa powerful correlation engine.
X
XWWW: http://simple-evcorr.sourceforge.net/
X
X-- Nicolas Jombart <ecu@ipv42.net>
END-of-sec/pkg-descr
echo x - sec/pkg-plist
sed 's/^X//' >sec/pkg-plist << 'END-of-sec/pkg-plist'
Xbin/sec.pl
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%%%DOCSDIR%%/convert.pl
X%%PORTDOCS%%%%DOCSDIR%%/itostream.c
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-sec/pkg-plist
echo x - sec/distinfo
sed 's/^X//' >sec/distinfo << 'END-of-sec/distinfo'
XMD5 (sec-2.1.8.tar.gz) = 6bb9de22740e3e2c5996074be7899045
END-of-sec/distinfo
exit
Comment 2 Nicolas Jombart 2003-07-24 13:58:41 UTC
2.1.9 if someone is interested. If not, please close the PR.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	sec
#	sec/Makefile
#	sec/pkg-descr
#	sec/pkg-plist
#	sec/distinfo
#
echo c - sec
mkdir -p sec > /dev/null 2>&1
echo x - sec/Makefile
sed 's/^X//' >sec/Makefile << 'END-of-sec/Makefile'
X# New ports collection Makefile for: 	sec
X# Date created:				25, February 2003
X# Whom:					Nicolas Jombart <ecu@ipv42.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	sec
XPORTVERSION=	2.1.9
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	sourceforge/simple-evcorr
X
XMAINTAINER=	ecu@ipv42.net
XCOMMENT=	Simple event (logs) correlator
X
XUSE_PERL5=	YES
XNO_BUILD=	YES
X
XMAN8=		sec.pl.8
XDOCS=		README convert.pl itostream.c
X
Xdo-install:
X	@${INSTALL_SCRIPT} ${WRKSRC}/sec.pl ${PREFIX}/bin
X	@${INSTALL_MAN} ${WRKSRC}/sec.pl.man ${PREFIX}/man/man8/sec.pl.8
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for f in ${DOCS}
X	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-sec/Makefile
echo x - sec/pkg-descr
sed 's/^X//' >sec/pkg-descr << 'END-of-sec/pkg-descr'
XSEC is an event correlation tool that was designed to fill the gap between
Xcommercial event correlation systems and homegrown solutions that usually
Xcomprise of a few simple shell scripts.
XSEC is highly customisable to accept events from many sources and build
Xa powerful correlation engine.
X
XWWW: http://simple-evcorr.sourceforge.net/
X
X-- Nicolas Jombart <ecu@ipv42.net>
END-of-sec/pkg-descr
echo x - sec/pkg-plist
sed 's/^X//' >sec/pkg-plist << 'END-of-sec/pkg-plist'
Xbin/sec.pl
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%PORTDOCS%%%%DOCSDIR%%/convert.pl
X%%PORTDOCS%%%%DOCSDIR%%/itostream.c
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-sec/pkg-plist
echo x - sec/distinfo
sed 's/^X//' >sec/distinfo << 'END-of-sec/distinfo'
XMD5 (sec-2.1.9.tar.gz) = 66cf72f8af4aa95740e222d635e91d1e
END-of-sec/distinfo
exit
Comment 3 Kirill Ponomarev freebsd_committer 2003-07-26 10:01:03 UTC
State Changed
From-To: open->closed

Committed with a slight modification. Thanks!